net.minecraft.client.entity

## Class EntityPlayerSP

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.player.EntityPlayer
      - - net.minecraft.client.entity.AbstractClientPlayer
        - - net.minecraft.client.entity.EntityPlayerSP

- All Implemented Interfaces:
    ICommandSender
  Direct Known Subclasses:
    EntityClientPlayerMP

      public class EntityPlayerSP
      extends AbstractClientPlayer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.player.EntityPlayer

      `EntityPlayer.EnumChatVisibility, EntityPlayer.EnumStatus`

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Minecraft` | `mc`
    `MovementInput` | `movementInput`
    `float` | `prevRenderArmPitch`
    `float` | `prevRenderArmYaw`
    `float` | `prevTimeInPortal`
    `float` | `renderArmPitch`
    `float` | `renderArmYaw`
    `int` | `sprintingTicksLeft`
    `protected int` | `sprintToggleTimer`
    `float` | `timeInPortal`

    - ### Fields inherited from class net.minecraft.client.entity.AbstractClientPlayer

      `locationStevePng`

    - ### Fields inherited from class net.minecraft.entity.player.EntityPlayer

      `cameraYaw, capabilities, experience, experienceLevel, experienceTotal, eyeHeight, field_71079_bU, field_71082_cx, field_71085_bR, field_71089_bV, field_71091_bM, field_71094_bP, field_71095_bQ, field_71096_bN, field_71097_bO, fishEntity, flyToggleTimer, foodStats, inventory, inventoryContainer, openContainer, PERSISTED_NBT_TAG, playerLocation, prevCameraYaw, sleeping, speedInAir, speedOnGround, xpCooldown`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityPlayerSP(Minecraft par1Minecraft, World par2World, Session par3Session, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChatComponentMessage(IChatComponent p_146105_1_)`
    `void` | `addChatMessage(IChatComponent p_145747_1_)`
    `boolean` | `canCommandSenderUseCommand(int par1, java.lang.String par2Str)`
    `void` | `closeScreen()`
    `void` | `displayGUIAnvil(int par1, int par2, int par3)`
    `void` | `displayGUIBook(ItemStack par1ItemStack)`
    `void` | `displayGUIChest(IInventory par1IInventory)`
    `void` | `displayGUIEnchantment(int par1, int par2, int par3, java.lang.String par4Str)`
    `void` | `displayGUIHopperMinecart(EntityMinecartHopper par1EntityMinecartHopper)`
    `void` | `displayGUIHorse(EntityHorse par1EntityHorse, IInventory par2IInventory)`
    `void` | `displayGUIMerchant(IMerchant par1IMerchant, java.lang.String par2Str)`
    `void` | `displayGUIWorkbench(int par1, int par2, int par3)`
    `protected void` | `func_110318_g()`
    `protected boolean` | `func_145771_j(double p_145771_1_, double p_145771_3_, double p_145771_5_)`
    `void` | `func_146093_a(TileEntityHopper p_146093_1_)`
    `void` | `func_146095_a(CommandBlockLogic p_146095_1_)`
    `void` | `func_146098_a(TileEntityBrewingStand p_146098_1_)`
    `void` | `func_146100_a(TileEntity p_146100_1_)`
    `void` | `func_146101_a(TileEntityFurnace p_146101_1_)`
    `void` | `func_146102_a(TileEntityDispenser p_146102_1_)`
    `void` | `func_146104_a(TileEntityBeacon p_146104_1_)`
    `float` | `getFOVMultiplier()`
    `float` | `getHorseJumpPower()`
    `ChunkCoordinates` | `getPlayerCoordinates()`
    `boolean` | `isClientWorld()`
    `boolean` | `isRidingHorse()`
    `boolean` | `isSneaking()`
    `void` | `onCriticalHit(Entity par1Entity)`
    `void` | `onEnchantmentCritical(Entity par1Entity)`
    `void` | `onItemPickup(Entity par1Entity, int par2)`
    `void` | `onLivingUpdate()`
    `void` | `playSound(java.lang.String par1Str, float par2, float par3)`
    `void` | `setPlayerSPHealth(float par1)`
    `void` | `setSprinting(boolean par1)`
    `void` | `setXPStats(float par1, int par2, int par3)`
    `void` | `updateEntityActionState()`

    - ### Methods inherited from class net.minecraft.client.entity.AbstractClientPlayer

      `getCapeUrl, getDownloadImageCape, getDownloadImageSkin, getLocationCape, getLocationCape, getLocationSkin, getLocationSkin, getLocationSkull, getSkinUrl, getTextureCape, getTextureSkin, setupCustomSkin`

    - ### Methods inherited from class net.minecraft.entity.player.EntityPlayer

      `addExhaustion, addExperience, addExperienceLevel, addMovementStat, addScore, addStat, addToPlayerScore, applyEntityAttributes, attackEntityFrom, attackTargetEntityWithCurrentItem, canAttackPlayer, canEat, canHarvestBlock, canPlayerEdit, canTriggerWalking, clearItemInUse, clonePlayer, damageArmor, damageEntity, destroyCurrentEquippedItem, dropOneItem, dropPlayerItemWithRandomChoice, entityInit, fall, func_145748_c_, func_146067_o, func_146094_a, func_146097_a, getAbsorptionAmount, getAIMoveSpeed, getAlwaysRenderNameTagForRender, getArmorVisibility, getBedLocation, getBedLocation, getBedOrientationInDegrees, getBreakSpeed, getBreakSpeed, getCommandSenderName, getCurrentArmor, getCurrentEquippedItem, getCurrentPlayerStrVsBlock, getDeathSound, getDefaultEyeHeight, getDisplayName, getEntityWorld, getEquipmentInSlot, getExperiencePoints, getEyeHeight, getFoodStats, getGameProfile, getHeldItem, getHideCape, getHideCape, getHurtSound, getInventoryEnderChest, getItemIcon, getItemInUse, getItemInUseCount, getItemInUseDuration, getLastActiveItems, getMaxInPortalTime, getPortalCooldown, getPosition, getScore, getSleepTimer, getSplashSound, getSwimSound, getTeam, getTotalArmorValue, getWorldScoreboard, getYOffset, handleHealthUpdate, interactWith, isBlocking, isCurrentToolAdventureModeExempt, isEntityInsideOpaqueBlock, isInvisibleToPlayer, isMovementBlocked, isPlayer, isPlayerFullyAsleep, isPlayerSleeping, isPushedByWater, isSpawnForced, isSpawnForced, isUsingItem, joinEntityItemWithWorld, jump, mountEntity, moveEntityWithHeading, onDeath, onItemUseFinish, onKillEntity, onUpdate, openGui, preparePlayerToSpawn, readEntityFromNBT, refreshDisplayName, resetHeight, respawnPlayer, sendPlayerAbilities, setAbsorptionAmount, setCurrentItemOrArmor, setDead, setGameType, setHideCape, setInWeb, setItemInUse, setScore, setSpawnChunk, setSpawnChunk, shouldHeal, sleepInBedAt, stopUsingItem, triggerAchievement, updateItemUse, updateRidden, verifyRespawnCoordinates, wakeUpPlayer, writeEntityToNBT, xpBarCap`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, attackEntityAsMob, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, decreaseAirSupply, dismountEntity, dropEquipment, dropFewItems, dropRareDrop, func_110142_aN, func_110146_f, func_142015_aE, func_146066_aG, func_94060_bK, getActivePotionEffect, getActivePotionEffects, getAge, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getHealth, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getRNG, getRotationYawHead, getSoundPitch, getSoundVolume, getSwingProgress, heal, isAIEnabled, isChild, isEntityAlive, isEntityUndead, isOnLadder, isOnSameTeam, isOnTeam, isPotionActive, isPotionActive, isPotionApplicable, kill, knockBack, onChangedPotionEffect, onDeathUpdate, onEntityUpdate, onFinishedPotionEffect, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, swingItem, updateAITasks, updateAITick, updateArmSwingProgress, updateFallState, updatePotionEffects`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getTeleportDirection, getUniqueID, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInWater, isOffsetPositionInLiquid, isRiding, isSprinting, isWet, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onStruckByLightning, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSize, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### movementInput

          public MovementInput movementInput

    - #### mc

          protected Minecraft mc

    - #### sprintToggleTimer

          protected int sprintToggleTimer

    - #### sprintingTicksLeft

          public int sprintingTicksLeft

    - #### renderArmYaw

          public float renderArmYaw

    - #### renderArmPitch

          public float renderArmPitch

    - #### prevRenderArmYaw

          public float prevRenderArmYaw

    - #### prevRenderArmPitch

          public float prevRenderArmPitch

    - #### timeInPortal

          public float timeInPortal

    - #### prevTimeInPortal

          public float prevTimeInPortal

  - ### Constructor Detail

    - #### EntityPlayerSP

          public EntityPlayerSP(Minecraft par1Minecraft,
                        World par2World,
                        Session par3Session,
                        int par4)

  - ### Method Detail

    - #### updateEntityActionState

          public void updateEntityActionState()

      Overrides:
        `updateEntityActionState` in class `EntityPlayer`

    - #### onLivingUpdate

          public void onLivingUpdate()

      Overrides:
        `onLivingUpdate` in class `EntityPlayer`

    - #### getFOVMultiplier

          public float getFOVMultiplier()

    - #### closeScreen

          public void closeScreen()

      Overrides:
        `closeScreen` in class `EntityPlayer`

    - #### func_146100_a

          public void func_146100_a(TileEntity p_146100_1_)

      Overrides:
        `func_146100_a` in class `EntityPlayer`

    - #### func_146095_a

          public void func_146095_a(CommandBlockLogic p_146095_1_)

      Overrides:
        `func_146095_a` in class `EntityPlayer`

    - #### displayGUIBook

          public void displayGUIBook(ItemStack par1ItemStack)

      Overrides:
        `displayGUIBook` in class `EntityPlayer`

    - #### displayGUIChest

          public void displayGUIChest(IInventory par1IInventory)

      Overrides:
        `displayGUIChest` in class `EntityPlayer`

    - #### func_146093_a

          public void func_146093_a(TileEntityHopper p_146093_1_)

      Overrides:
        `func_146093_a` in class `EntityPlayer`

    - #### displayGUIHopperMinecart

          public void displayGUIHopperMinecart(EntityMinecartHopper par1EntityMinecartHopper)

      Overrides:
        `displayGUIHopperMinecart` in class `EntityPlayer`

    - #### displayGUIHorse

          public void displayGUIHorse(EntityHorse par1EntityHorse,
                             IInventory par2IInventory)

      Overrides:
        `displayGUIHorse` in class `EntityPlayer`

    - #### displayGUIWorkbench

          public void displayGUIWorkbench(int par1,
                                 int par2,
                                 int par3)

      Overrides:
        `displayGUIWorkbench` in class `EntityPlayer`

    - #### displayGUIEnchantment

          public void displayGUIEnchantment(int par1,
                                   int par2,
                                   int par3,
                                   java.lang.String par4Str)

      Overrides:
        `displayGUIEnchantment` in class `EntityPlayer`

    - #### displayGUIAnvil

          public void displayGUIAnvil(int par1,
                             int par2,
                             int par3)

      Overrides:
        `displayGUIAnvil` in class `EntityPlayer`

    - #### func_146101_a

          public void func_146101_a(TileEntityFurnace p_146101_1_)

      Overrides:
        `func_146101_a` in class `EntityPlayer`

    - #### func_146098_a

          public void func_146098_a(TileEntityBrewingStand p_146098_1_)

      Overrides:
        `func_146098_a` in class `EntityPlayer`

    - #### func_146104_a

          public void func_146104_a(TileEntityBeacon p_146104_1_)

      Overrides:
        `func_146104_a` in class `EntityPlayer`

    - #### func_146102_a

          public void func_146102_a(TileEntityDispenser p_146102_1_)

      Overrides:
        `func_146102_a` in class `EntityPlayer`

    - #### displayGUIMerchant

          public void displayGUIMerchant(IMerchant par1IMerchant,
                                java.lang.String par2Str)

      Overrides:
        `displayGUIMerchant` in class `EntityPlayer`

    - #### onCriticalHit

          public void onCriticalHit(Entity par1Entity)

      Overrides:
        `onCriticalHit` in class `EntityPlayer`

    - #### onEnchantmentCritical

          public void onEnchantmentCritical(Entity par1Entity)

      Overrides:
        `onEnchantmentCritical` in class `EntityPlayer`

    - #### onItemPickup

          public void onItemPickup(Entity par1Entity,
                          int par2)

      Overrides:
        `onItemPickup` in class `EntityLivingBase`

    - #### isSneaking

          public boolean isSneaking()

      Overrides:
        `isSneaking` in class `Entity`

    - #### setPlayerSPHealth

          public void setPlayerSPHealth(float par1)

    - #### addChatComponentMessage

          public void addChatComponentMessage(IChatComponent p_146105_1_)

      Overrides:
        `addChatComponentMessage` in class `EntityPlayer`

    - #### func_145771_j

          protected boolean func_145771_j(double p_145771_1_,
                              double p_145771_3_,
                              double p_145771_5_)

      Overrides:
        `func_145771_j` in class `Entity`

    - #### setSprinting

          public void setSprinting(boolean par1)

      Overrides:
        `setSprinting` in class `EntityLivingBase`

    - #### setXPStats

          public void setXPStats(float par1,
                        int par2,
                        int par3)

    - #### addChatMessage

          public void addChatMessage(IChatComponent p_145747_1_)

    - #### canCommandSenderUseCommand

          public boolean canCommandSenderUseCommand(int par1,
                                           java.lang.String par2Str)

    - #### getPlayerCoordinates

          public ChunkCoordinates getPlayerCoordinates()

    - #### playSound

          public void playSound(java.lang.String par1Str,
                       float par2,
                       float par3)

      Overrides:
        `playSound` in class `EntityPlayer`

    - #### isClientWorld

          public boolean isClientWorld()

      Overrides:
        `isClientWorld` in class `EntityLivingBase`

    - #### isRidingHorse

          public boolean isRidingHorse()

    - #### getHorseJumpPower

          public float getHorseJumpPower()

    - #### func_110318_g

          protected void func_110318_g()